質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.78%

[初心者]Pythonでreppyがインストールできなくて困っています。

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 128

score 1

前提・実現したいこと

Pythonでreppyをインストールしたい。

発生している問題・エラーメッセージ

ERROR: Command errored out with exit status 1:
~省略~   
Complete output (69 lines):
Building from C++
c:\users\user\appdata\local\programs\python\python39\lib\site-packages\setuptools\dist.py:642: UserWarning: Usage of dash-separated 'description-file' will not be supported in future versions. Please use the underscore name 'description_file' instead
warnings.warn(
~省略~
cl : コマンド ライン warning D9002 : 不明なオプション '-std=c++11' を無視します。
url.cpp
C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Tools\MSVC\14.29.30037\bin\HostX86\x64\cl.exe /c /nologo /Ox /W3 /GL /DNDEBUG /MD -Ireppy/rep-cpp/include -Ireppy/rep-cpp/deps/url-cpp/include -Ic:\users\user\appdata\local\programs\python\python39\include -Ic:\users\user\appdata\local\programs\python\python39\include -IC:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Tools\MSVC\14.29.30037\ATLMFC\include -IC:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Tools\MSVC\14.29.30037\include -IC:\Program Files (x86)\Windows Kits\NETFXSDK\4.8\include\um -IC:\Program Files (x86)\Windows Kits\10\include\10.0.19041.0\ucrt -IC:\Program Files (x86)\Windows Kits\10\include\10.0.19041.0\shared -IC:\Program Files (x86)\Windows Kits\10\include\10.0.19041.0\um -IC:\Program Files (x86)\Windows Kits\10\include\10.0.19041.0\winrt -IC:\Program Files (x86)\Windows Kits\10\include\10.0.19041.0\cppwinrt /EHsc /Tpreppy/rep-cpp/deps/url-cpp/src/utf8.cpp /Fobuild\temp.win-amd64-3.9\Release\reppy/rep-cpp/deps/url-cpp/src/utf8.obj -std=c++11
cl : コマンド ライン warning D9002 : 不明なオプション '-std=c++11' を無視します。
~省略~
reppy/robots.cpp(7788): error C2039: 'tp_print': '_typeobject' のメンバーではありません
~省略~

error: command 'C:\\Program Files (x86)\\Microsoft Visual Studio\\2019\\Community\\VC\\Tools\\MSVC\\14.29.30037\\bin\\HostX86\\x64\\cl.exe' failed with exit code 2

ERROR: Failed building wheel for reppy

該当のソースコード

試したこと

DSK,C++ビルドツールのインストール

補足情報(FW/ツールのバージョンなど)

Windows 10
Python 3.9.6

ここにより詳細な情報を記載してください。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

reppyProgramming Languageの一覧、および同一のエラー内容に関する質問
pyclipper installation error: “tp_print is not a member of _typeobject”の回答

The tp_print method was removed from the API in Python 3.9. Error "'tp_print': is not a member of '_typeobject'" means that the code is intended for Python <= 3.8.

より、reppyはPythonのバージョン3.9には対応していないようです。
可能であれば仮想環境内でバージョンを揃えてインストールしてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2021/07/23 13:54

    試してみます。ありがとうございます。

    キャンセル

  • 2021/07/23 14:21

    3.8にバージョンダウンしたところ、インストールできました。
    ありがとうございました。

    キャンセル

0

PyPIリポジトリにライブラリreppy 0.4.14があるようですので、ビルドせずに以下の方法でインストールしてみてください。

pip install reppy

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2021/07/22 23:37

    その方法で実行した結果です。
    ご意見をお待ちしております。

    キャンセル

  • 2021/07/23 12:19

    Windowsの場合はコンパイルしなければならないのですね。
    コンパイラのバージョンが古いのが原因のひとつであるのは確かです。
    最新版のコンパイラにバージョンアップしてみてください。

    キャンセル

  • 2021/07/23 13:54

    コンパイル。。。よくわかりません。。。
    検索しながら試してみます。ありがとうございます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.78%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る